# Flutter

## 2.17.0 - 2026-05-

* Added [MoveDevice](/move-platform/sdk/models/movedevice.md#flutter) display name.
* Added [MoveDeviceState](/move-platform/sdk/models/movedevice/movedevicestate.md). Ensure synchronized option.
* Live Location TAG feature [setLiveLocationTag(...) ](/move-platform/sdk/api-interface/flutter/services.md#live-location-tag)deprecated

## 2.16.0 - 2026-02-13

* Added GetMoveConfig method.
* Added [beacon uuid registration](/move-platform/sdk/models/movedevice.md).

## 2.14.1 - 2025-11-06

* Enable step count synchronization.
* Expand initial step count data to a day.&#x20;
* Android: SDK updated for 16 KB page size compliance
* Android: bugfix for missing metadata submission during manual started trips

## 2.14.0 - 2025-08-19

* Added [Health Step-Counting](/move-platform/sdk/api-interface/flutter/services.md#step-counter) service. (See important changes in Permission Handling for [iOS](/move-platform/sdk/appendix/ios/permission-handling.md#health-permissions)/[Android](/move-platform/sdk/appendix/android/permission-handling/permission-overview.md)).
* Small bug fixes & Stability improvements.

## 2.13.0 - 2025-06-11

* Registered Bluetooth devices stored in the backend. Persistence after shutdown / re-registration / login.
* Android: Update to 'com.android.tools:desugar\_jdk\_libs:2.1.4'

## 2.12.0 - 2025-04-15

* Changed the way data is transmitted to our systems, which reduces memory consumption in some situations
* Bugfixes & Improvements
* Added Swift package manager support.

## 2.11.0 - 2025-03-04

* Added updateConfig with options
* Added health listener

## 2.10.1 - 2025-01-07

* iOS: Fixed a bug which prompted the motion permission dialog from the SDK.
* Android: Bugfixes & Improvements

## 2.10.0 - 2024-09-02

* Added `setDeviceStateListener(...)`.

## 2.9.0 - 2024-08-19

* Added [`setup(authCode: ...)`](/move-platform/sdk/getting-started/flutter.md#initialization).

## 2.8.0 - 2024-05-24

* Added [set live location tag](/move-platform/sdk/api-interface/flutter/services.md#live-location-tag).
* Bugfixes & Improvements

## 2.7.0 - 2024-05-24

* Added manual [startTrip](/move-platform/sdk/api-interface/flutter/services.md#manual-start-trip) API.
* Bugfixes & Improvements

## 2.6.7 - 2024-02-01

* Bugfixes & Improvements
* Code documentation.
* Deprecated auth state expired and [updateAuth](/move-platform/sdk/api-interface/flutter/services.md#set-sdk-auth-state-listener) API.

## 2.6.4 - 2024-02-01

* Fix a bug with iOS device detection / CarPlay.
* Fix a bug with Android [shutdown force: false](/move-platform/sdk/api-interface/flutter/initialization.md#shutdown-sdk).
* Internal API changes.

## 2.6.2 - 2023-12-12

* Bugfixes & Improvements
* Added iOS Bluetooth permission check.
* Fix Android permission warnings.

## 2.6.0 - 2023-11-14

* Added TripStartListener.
* Added backgroundLocationPermissionRequired to [MoveOptions](/move-platform/sdk/models/moveoptions.md#flutter).

## 2.5.0 - 2023-10-17

* Added optional useBackendConfig to [MoveConfig](/move-platform/sdk/models/moveconfig.md#flutter).

## 2.4.0 - 2023-08-04

* Add [device discovery](/move-platform/sdk/api-interface/flutter/services.md#device-discovery) functionality.
* Add [auth invalid](/move-platform/sdk/models/moveauth.md#flutter) state.
* Change [options](/move-platform/sdk/models/moveoptions.md#flutter) format.

## 2.3.1+3 - 2023-07-05

* minor CI changes

## 2.3.1+2 - 2023-07-05

* Fixed [MOVE config](/move-platform/sdk/models/moveconfig.md#flutter)

## 2.3.1+1 - 2023-06-27 <a href="#id-2311" id="id-2311"></a>

* Fixed deprecated code
* Update README

Update README

## 2.3.1 - 2023-06-23

* initial release


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.movesdk.com/move-platform/changelog/flutter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
